module pfcoef_param_class
  use constants_module
  implicit none
  integer, parameter :: npowmax=8
  integer, parameter :: npmin=4
  integer, parameter :: npmax=32
  integer, parameter :: nkey = npowmax+(npmax-npmin)*npowmax

  type partial_fraction_coef
    integer :: itype
    integer :: n
    integer :: npow
    real(DP) :: a
    real(DP) :: b
    real(DP) :: minimaxerror
    real(DP), allocatable :: alp(:)
    real(DP), allocatable :: bet(:)
  end type

end module
